Bug 95601 - Headers in HTML document have wrong fonts
Summary: Headers in HTML document have wrong fonts
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:html
Depends on:
Blocks: HTML-Import
  Show dependency treegraph
 
Reported: 2015-11-05 11:53 UTC by rbruenner
Modified: 2019-04-07 16:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Repro HTML file with images how it looks like on my machine. (225.73 KB, application/x-7z-compressed)
2015-11-05 11:53 UTC, rbruenner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rbruenner 2015-11-05 11:53:36 UTC
Created attachment 120286 [details]
Repro HTML file with images how it looks like on my machine.

When an HTML document has a certain font family defined for the entire document, Writer does not apply the font to the headers.

See attached file.

In the body part of the style definition of the HTML file, there is the document-wide assignment of the font family:

font-family: Corbel, Tahoma, Verdana, Arial;

So the document should be displayed in one of the sans-serif fonts listed there.
The attached pictures show that both MS IE 11 on Windows and Mozilla Firefox 41 on Mac OS X are displaying the file as intended.
However, Writer is using its default serif font for the headers (see picture) while it uses the correct fonts for the normal paragraph text, for ordered and unordered lists etc.

Instead of simply applying its default header styles, Writer should map HTML's h1, h2, h3, ... using the proper font settings of the HTML document.

As an aside, h2 and h2 are using Liberation Serif 14 and 12 pt, respectively, while h1 uses Thorndale 16 pt - a font that is not present on my system and obviously being replaced by Liberation Serif for displaying purposes. It is not clear to me where this setting comes from.

Cheers
Rüdiger
Comment 1 Julien Nabet 2015-11-05 20:26:30 UTC
4.3 branch is EOL (End Of Life), please give a try to last stable LO version 5.0.3
Comment 2 rbruenner 2015-12-14 12:21:40 UTC
Using version 4.4.7, I can confirm that this bug is still there. Writer behaves the same. (Note: this version is not yet EOL at the moment, neither was it at the time when the bug was orginially reported.)
Comment 3 Buovjaga 2015-12-17 12:14:21 UTC
Confirmed.

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: 014633f83e44ae8ba33087b6f38e8e253e281969
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-15_06:21:44
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 4 rbruenner 2016-04-18 05:53:23 UTC
Tested with LO 5.1.2 on Mac OS X 10.10.5

The bug is still there.
Comment 5 QA Administrators 2017-05-22 13:25:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522